Subject: [Lager] Proposed Schema Change - class-or-set-operator-nested

From: Wil Tan <[email-masked]>
Date: Tue, 3 May 2016 01:28:11 +1000

On Sat, Apr 30, 2016 at 2:10 AM, Asmus Freytag (c) <[email-masked]>
wrote:

>
> PS: we do need to pick up Wil's tweak on the schema, which is not merged
> yet

This is a minor refactor of the "class-or-set-operator-nested" production
which I made to get around an error when using libxml2 to validate an LGR
document [1].

I have now created a pull request about this.

The class-or-set-operator-nested production can be a class-invocation,
class-declaration, or set-operator. However, presumably due to
class-invocation and class-declaration both having "class" element names,
it seems that libxml2 is having trouble validating some documents.

This proposed change defines a class-invocation-or-declaration production
that encapsulates the alternate sets of attributes allowed in
class-invocation and class-declaration.

The diff can be seen here:
https://github.com/kjd/lgr-specification/pull/4/files

[1]
https://www.icann.org/en/system/files/files/proposal-khmer-lgr-15apr16-en.xml
failed with error message "Element class failed to validate attributes" on
line 190 when it encountered a <class from-tag="base-only" />

.wil

---

From: "Asmus Freytag (c)" <[email-masked]>
Date: Mon, 2 May 2016 09:05:04 -0700

On 5/2/2016 8:28 AM, Wil Tan wrote:
>
> On Sat, Apr 30, 2016 at 2:10 AM, Asmus Freytag (c) 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>
>     PS: we do need to pick up Wil's tweak on the schema, which is not
>     merged yet
>
>
> This is a minor refactor of the "class-or-set-operator-nested" 
> production which I made to get around an error when using libxml2 to 
> validate an LGR document [1].
>

I have reviewed and merged this.

A./
> class-invocation and class-declaration both having "class" element 
> names, it seems that libxml2 is having trouble validating some documents.
>
> This proposed change defines a class-invocation-or-declaration 
> production that encapsulates the alternate sets of attributes allowed 
> in class-invocation and class-declaration.
>
> failed with error message "Element class failed to validate 
> attributes" on line 190 when it encountered a <class 
> from-tag="base-only" />
>
> .wil
>
>
> _______________________________________________
> Lager mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lager